# Struct libc::utsname [−] [src]

    pub struct utsname {
        pub sysname: [c_char; 256],
        pub nodename: [c_char; 256],
        pub release: [c_char; 256],
        pub version: [c_char; 256],
        pub machine: [c_char; 256],
    }

## Fields

`sysname` |
`nodename` |
`release` |
`version` |
`machine` |

## Trait Implementations

### `impl Copy for utsname`

### `impl Clone for utsname`

#### `fn clone(&self) -> utsname`

#### 1.0.0 `fn clone_from(&mut self, source: &Self)`

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)